// SPDX-License-Identifier: MIT
pragma solidity ^0.8.22;

import "./Auth.sol";

contract UserLoginContract is Admin {


    mapping(address => mapping(string => bool)) private _token;
    mapping(address => mapping(string => uint256)) private _tokenExpTime;

    function initialize() public initializer {
        admin_initialize();
    }

    function reg(string memory token, uint256 time) public {
        _token[msg.sender][token] = true;
        _tokenExpTime[msg.sender][token] = block.timestamp + (time);
    }

    function logout(string memory token) public {
        _token[msg.sender][token] = false;
        _tokenExpTime[msg.sender][token] = block.timestamp;
    }

    function checkToken(address account, string memory token) public view returns (bool){
        if (_token[account][token] && _tokenExpTime[account][token] > block.timestamp) {
            return true;
        }
        return false;
    }
}
